<template>
	<div class=" bg-inicio">
		<div class=" content-inicio-curso">
			<div class="modal">
				<div class="content-session">
					<span class="content-session-detail "><b>Atención</b></span><br>
					<span class="content-session-inicio">
					¿Estás seguro de que deseas cancelar la edición de '{{ tempSessionName }}'? 
					</span> <br>
					
					<div class="icon-inicio">
						<i class="fa fa-question-circle"></i>
					</div>
					
					<a class="close-btn btn-false waves-effect waves-light" @click.prevent="closeStandarModal">
						<i class=" ">No</i>
					</a>
					<a  class="close-btn  waves-effect waves-light" @click.prevent="cancelSession">
						<i class=" ">SÍ</i>
					</a>
				</div>
			</div>
		</div>
	</div>
</template>

<script>
	import { mapGetters, mapActions} from 'vuex'
	export default {
  		methods : {
  			...mapActions([
				  'toggleFavorite',
				  'deleteEditingSession', 
				  'closeStandarModal',
				  'endEditing',
				  'endBuilding',
				  'deleteCurrentSession',
				  ]),
  			cancelSession(){
				this.deleteCurrentSession()
                if (this.isEditing) {
                    this.endEditing()
                }
                this.endBuilding()
				this.closeStandarModal()
				}
			},
  		computed: {
  			...mapGetters(['tempSessionName', 'isEditing']),
  		}
	}
</script>